
--setting up some configurations
application:setOrientation(conf.orientation)
application:setLogicalDimensions(conf.width, conf.height)
application:setScaleMode(conf.scaleMode)
application:setFps(conf.fps)
application:setKeepAwake(conf.keepAwake)

--get new dimensions


local devWidth = application:getDeviceWidth()
local devHeight = application:getDeviceHeight()

local dx = application:getLogicalTranslateX() / application:getLogicalScaleX()
local dy = application:getLogicalTranslateY() / application:getLogicalScaleY()

print("dx is :  ",dx)
print("dy is :  ",dy)

print("devWidth is :  ",devWidth)
print("devHeight is :  ",devHeight)

local function setOffsetX(offSetVal)  
	local offSet  = ((offSetVal*devWidth)/conf.width)
	return offSet
end

local function setOffsetY(offSetVal)  
	local offSet  = ((offSetVal*devHeight)/conf.height)
	return offSet
end


--sample object
local bitmap = Bitmap.new(Texture.new("settings_bg.png"))
stage:addChild(bitmap)
bitmap:setPosition((-dx)+ setOffsetX(100) ,(-dy)+ setOffsetY(100))  


require "ads"
local inmobi = Ads.new("inmobi")
inmobi:setKey("014d25c7fa4243179eb620cd501d7c07")
inmobi:enableTesting()
inmobi:showAd("auto")
inmobi:setAlignment("center", "bottom")




--different positions

--[[

--top left
bitmap:setPosition(-dx, -dy)  


--top right
bitmap:setPosition(dx+application:getContentWidth()-bitmap:getWidth(), -dy)
  
  
--bottom left
bitmap:setPosition(-dx, dy + application:getContentHeight()-bitmap:getHeight())
  
--bottom right
bitmap:setPosition(dx+application:getContentWidth()-bitmap:getWidth(),
dy + application:getContentHeight()-bitmap:getHeight())
  
]]--



